
#ifndef _MISC_H
#define _MISC_H

#include "includes.h"
#include "arm_comm.h"

#define ON  1
#define OFF 0
typedef enum
{
  sysclk,
  pll_clk,
  alt_pll_clk,
  cclk,
  pclk,
  emc_clk,
  usb_clk,
  spifi_clk
} clocks_t;

extern Int32U GetClock(clocks_t clock);
void Display_New_Picture (int New, Point X, Point Y, int Mask, int ClearFlag);
void PrintGlobalPath (void);
void Load_All_Bitmap_to_Memory (void);
int Button_is_Pressed (void);
void LED_State (int State);

#define MAX_PATH_LENGTH 128
extern char GlobalPath[MAX_PATH_LENGTH];
extern int PicIndex, PicCount, SDCardError, BaudRateKey, Touch_Threshold;


#endif